Subject: Aw: Re: Re: Re: bug#13848: Statically linking guile-2.0.

From: "Jan Schukat" <[email-masked]>
Date: Sun, 7 Apr 2013 23:06:30 +0200 (CEST)

Ok, windows paths with forward slashes work, I can now start the installed guile.exe without setting environment variables. Always nice when the inconsistent formats are the working ones :)

The remaining issue is that it hangs itself after printing that it is loading q.scm. Not sure how exactly to appreoach this problem. I guess I'm gonna put a lot more debug output into the the various load functions. Or I'm gonna make debug builds and fire up gdb on windows. Or maybe you have an idea.

Regards

Jan Schukat

Gesendet: Sonntag, 07. April 2013 um 22:00 Uhr
Von: "Ludovic Courtès" <[email-masked]>
An: "Jan Schukat" <[email-masked]>
Cc: "Andy Wingo" <[email-masked]>, [email-masked]
Betreff: Re: Aw: Re: Re: bug#13848: Statically linking guile-2.0.

"Jan Schukat" <[email-masked]> skribis:

> cd C:\Users\shookie\guiletest\lib/bin && rm -f "$guile_tools" && \
> cp -pR "$guild" "$guile_tools"
> /bin/sh: line 4: cd: C:Usersshookieguiletestlib/bin: No such file or
> directory

Can you try with forward slashes instead? That should fix the above
issue. That is:

--prefix=c:/users/shookie/guiletest/

Ludo’.